/*****************************************************************/
/*                                                               */
/*   CASIO fx-9860G SDK Library                                  */
/*                                                               */
/*   File name : [ProjectName].c                                 */
/*                                                               */
/*   Copyright (c) 2006 CASIO COMPUTER CO., LTD.                 */
/*                                                               */
/*****************************************************************/
#include "composant.hpp"
#include "MonochromeLib.h"
#include "Draw.hpp"

int main();

extern "C"
{
  #include <fxlib.h>
}

unsigned int key;

int main()
{
	Point trace[2];
	Line X;
	Camera def;

	ML_clear_vram();

	def.setFocal(20);	//reglage de la distance focale de la camera
	def.SetLocation(0,0,30);	//reglage des coordonnes de la camera

	trace[0].SetLocation(22,28,0);	//on change les coordonnes du Point 1
	trace[1].SetLocation(22,-27,0);//on change les coordonnes du Point 2
	X.SetLocation(trace);	//on change les coordonnes de la ligne X grace aux 2 points 
	draw_line_fixed_camera(X, def);	//on trace la ligne X

	trace[0].SetLocation(85,28,0);
	trace[1].SetLocation(85,-27,0);
	X.SetLocation(trace);
	draw_line_fixed_camera(X, def);	//on trace la ligne X

	trace[0].SetLocation(40,28,0);
	trace[1].SetLocation(40,-27,0);
	X.SetLocation(trace);
	draw_line_fixed_camera(X, def);	//on trace la ligne X

	while(1) GetKey(&key);

	return 1;
}

extern "C"
{
  int AddIn_main(int isAppli, unsigned short OptionNum)
  {
    return main();
  }

  #pragma section _BR_Size
  unsigned long BR_Size;
  #pragma section
  #pragma section _TOP
  int InitializeSystem(int isAppli, unsigned short OptionNum) {
    return INIT_ADDIN_APPLICATION(isAppli, OptionNum); }
  #pragma section
  /* AddIn_main(isAppli(1=MAIN,0=eAct), OptionNum(isAppli==0?0~3)) :: int(Done?1:0) */
}
